      complex function clog (z)
c april 1977 version.  w. fullerton, c3, los alamos scientific lab.
      complex z
      external alog, cabs, carg
c
      clog = cmplx (alog(cabs(z)), carg(z))
c
      return
      end
